args(1)

NAME
args - manipulate and output command arguments.

SYNOPSIS
args [options] args...

DESCRIPTION
This command is used to manipulate and echo command line arguments to standard out. This can include adding quotes around each argument passed or a separator, or to output each argument on a separate line. The program source also offers a basic example of how to use shell argument parsing and localization in ucommon.

OPTIONS

--delim=char
    Set a deliminator character, such as ',', to use between each argument when outputing arguments.

--directory
    If argument is a directory, list directory contents as arguments.

--follow
    If argument is a directory and a symlink, follow symlinks recursively.

--lines
    Output each argument on a separate line.

--quote=char|pair
    Set a quote or special leading and trailing pair of characters to surround each argument with when output. A typical use might be --quote=() to surround arguments in parenthesis.

--recursive
    If argument is a directory, recursively scan directory and any subdirectory contents as arguments.

--reverse
    Reverse order of arguments.

--help
    Outputs help screen for the user.

AUTHOR
args was written by David Sugar <dyfet@gnutelephony.org>.

REPORTING BUGS
Report bugs to bug-commoncpp@gnu.org or bugs@gnutelephony.org.

COPYRIGHT
Copyright © 2009-2014 David Sugar, Tycho Softworks.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.